com.trendmicro.ds.appcontrol.rest.object

## Class DecisionLog

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.DecisionLog

-     public class DecisionLog
      extends java.lang.Object

  An Application Control Decision Log.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DecisionLog.DecisionOrigin` The action that triggered this decision log.
    `static class` | `DecisionLog.DecisionType` Type of decision that lead to this decision log.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecisionLog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getActed()` Get the ID of the host where the application was blocked.
    `java.lang.Integer` | `getAdministratorID()` Get the ID of the host where the application was blocked.
    `java.lang.Long` | `getDecisionLogID()` Get the decision log ID.
    `DecisionLog.DecisionOrigin` | `getDecisionOrigin()` Get the reason the application launch was blocked.
    `DecisionLog.DecisionType` | `getDecisionType()` Get the reason the application launch was blocked.
    `java.lang.String` | `getFileName()` Get the filename of the application that was blocked or allowed and lead to decision log.
    `java.lang.Integer` | `getfiletCount()` Get the number of file that will be effected with reverting this decision.
    `java.lang.Integer` | `getHostCount()` Get the number of hosts that will be effected with reverting this decision.
    `java.lang.Integer` | `getHostID()` Get the hostID that is decision about allow or block application was made on.
    `java.util.Date` | `getLogTime()` Get the time at which the decision log was recorded.
    `java.lang.Integer` | `getRulesetCount()` Get the ID of the host where the application was blocked.
    `java.lang.Long` | `getRulesetID()` Get the ruleset that is updated when decision about allow or block application was made.
    `void` | `setActed(java.lang.Boolean acted)` Set the ID of the host where the application was blocked.
    `void` | `setAdministratorID(java.lang.Integer administratorID)` Set the ID of the host where the application was blocked.
    `void` | `setDecisionLogID(java.lang.Long decisionLogID)` Set the decisionLog ID.
    `void` | `setDecisionOrigin(DecisionLog.DecisionOrigin decisionOrigin)` Set the reason the application launch was blocked.
    `void` | `setDecisionType(DecisionLog.DecisionType decisionType)` Set the reason the application launch was blocked.
    `void` | `setFileCount(java.lang.Integer fileCount)` Set the number of file that will be effected with reverting this decision.
    `void` | `setFileName(java.lang.String fileName)` Set the filename of the application that was blocked or allowed and lead to decision log.
    `void` | `setHostCount(java.lang.Integer hostCount)` Set the number of hosts that will be effected with reverting this decision.
    `void` | `setHostID(java.lang.Integer hostID)` Set the hostID that is decision about allow or block application was made on.
    `void` | `setLogTime(java.util.Date logTime)` Set the time at which the decision log was recorded.
    `void` | `setRulesetCount(java.lang.Integer rulesetCount)` Set the ID of the host where the application was blocked.
    `void` | `setRulesetID(java.lang.Long rulesetID)` Set the ruleset that is updated when decision about allow or block application was made.
    `DecisionLog` | `withActed(java.lang.Boolean acted)` Set the ID of the host where the application was blocked.
    `DecisionLog` | `withAdministratorID(java.lang.Integer administratorID)` Set the ID of the host where the application was blocked.
    `DecisionLog` | `withDecisionLogID(java.lang.Long decisionLogID)` Set the decisionLog ID.
    `DecisionLog` | `withDecisionOrigin(DecisionLog.DecisionOrigin decisionOrigin)` Set the reason the application launch was blocked.
    `DecisionLog` | `withDecisionType(DecisionLog.DecisionType decisionType)` Set the reason the application launch was blocked.
    `DecisionLog` | `withFileCount(java.lang.Integer fileCount)` Set the number of file that will be effected with reverting this decision.
    `DecisionLog` | `withFileName(java.lang.String fileName)` Set the filename of the application that was blocked or allowed and lead to decision log.
    `DecisionLog` | `withHostCount(java.lang.Integer hostCount)` Set the number of hosts that will be effected with reverting this decision.
    `DecisionLog` | `withHostID(java.lang.Integer hostID)` Set the hostID that is decision about allow or block application was made on.
    `DecisionLog` | `withLogTime(java.util.Date logTime)` Set the time at which the decision log was recorded.
    `DecisionLog` | `withRulesetCount(java.lang.Integer rulesetCount)` Set the ID of the host where the application was blocked.
    `DecisionLog` | `withRulesetID(java.lang.Long rulesetID)` Set the ruleset that is updated when decision about allow or block application was made.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecisionLog

          public DecisionLog()

  - ### Method Detail

    - #### getDecisionLogID

          public java.lang.Long getDecisionLogID()

      Get the decision log ID.
      Returns:
        the decisionLogID.

    - #### setDecisionLogID

          public void setDecisionLogID(java.lang.Long decisionLogID)

      Set the decisionLog ID.
      Parameters:
        `decisionLogID` - the decisionLog ID to set.

    - #### withDecisionLogID

          public DecisionLog withDecisionLogID(java.lang.Long decisionLogID)

      Set the decisionLog ID.
      Parameters:
        `decisionLogID` - the decisionLog ID to set.
      Returns:
        the updated decisionLogID object.

    - #### getRulesetID

          public java.lang.Long getRulesetID()

      Get the ruleset that is updated when decision about allow or block application was made.
      Returns:
        the ruleset that is updated when decision about allow or block application was made.

    - #### setRulesetID

          public void setRulesetID(java.lang.Long rulesetID)

      Set the ruleset that is updated when decision about allow or block application was made.
      Parameters:
        `the` - ruleset that is updated when decision about allow or block application was made.

    - #### withRulesetID

          public DecisionLog withRulesetID(java.lang.Long rulesetID)

      Set the ruleset that is updated when decision about allow or block application was made.
      Parameters:
        `rulesetID` - the ruleset that is updated when decision about allow or block application was made.
      Returns:
        the updated Decision Log object.

    - #### getHostID

          public java.lang.Integer getHostID()

      Get the hostID that is decision about allow or block application was made on.
      Returns:
        the hostID that is decision about allow or block application was made on.

    - #### setHostID

          public void setHostID(java.lang.Integer hostID)

      Set the hostID that is decision about allow or block application was made on.
      Parameters:
        `hostID` - the ID that is decision about allow or block application was made on.

    - #### withHostID

          public DecisionLog withHostID(java.lang.Integer hostID)

      Set the hostID that is decision about allow or block application was made on.
      Parameters:
        `hostID` - the ID that is decision about allow or block application was made on.
      Returns:
        the updated Decision Log object.

    - #### getFileName

          public java.lang.String getFileName()

      Get the filename of the application that was blocked or allowed and lead to decision log.
      Returns:
        the filename of the application that was blocked or allowed and lead to decision log.

    - #### setFileName

          public void setFileName(java.lang.String fileName)

      Set the filename of the application that was blocked or allowed and lead to decision log.
      Parameters:
        `fileName` - the filename of the application that was blocked or allowed and lead to decision log.

    - #### withFileName

          public DecisionLog withFileName(java.lang.String fileName)

      Set the filename of the application that was blocked or allowed and lead to decision log.
      Parameters:
        `fileName` - the filename of the application that was blocked or allowed and lead to decision log.
      Returns:
        the updated Decision Log object.

    - #### getLogTime

          public java.util.Date getLogTime()

      Get the time at which the decision log was recorded.
      Returns:
        the time at which the decision log was recorded.

    - #### setLogTime

          public void setLogTime(java.util.Date logTime)

      Set the time at which the decision log was recorded.
      Parameters:
        `logTime` - the time at which the decision log was recorded.

    - #### withLogTime

          public DecisionLog withLogTime(java.util.Date logTime)

      Set the time at which the decision log was recorded.
      Parameters:
        `logTime` - the time at which the decision log was recorded.
      Returns:
        the updated Decision Log object.

    - #### getHostCount

          public java.lang.Integer getHostCount()

      Get the number of hosts that will be effected with reverting this decision.
      Returns:
        the number of hosts that will be effected with reverting this decision.

    - #### setHostCount

          public void setHostCount(java.lang.Integer hostCount)

      Set the number of hosts that will be effected with reverting this decision.
      Parameters:
        `hostID` - the number of hosts that will be effected with reverting this decision.

    - #### withHostCount

          public DecisionLog withHostCount(java.lang.Integer hostCount)

      Set the number of hosts that will be effected with reverting this decision.
      Parameters:
        `hostCount` - the number of hosts that will be effected with reverting this decision.
      Returns:
        the updated Decision Log object.

    - #### getfiletCount

          public java.lang.Integer getfiletCount()

      Get the number of file that will be effected with reverting this decision.
      Returns:
        the number of file that will be effected with reverting this decision.

    - #### setFileCount

          public void setFileCount(java.lang.Integer fileCount)

      Set the number of file that will be effected with reverting this decision.
      Parameters:
        `fileCount` - the number of file that will be effected with reverting this decision.

    - #### withFileCount

          public DecisionLog withFileCount(java.lang.Integer fileCount)

      Set the number of file that will be effected with reverting this decision.
      Parameters:
        `fileCount` - the number of file that will be effected with reverting this decision.
      Returns:
        the updated Decision Log object.

    - #### getRulesetCount

          public java.lang.Integer getRulesetCount()

      Get the ID of the host where the application was blocked.
      Returns:
        the ID of the host where the application was blocked.

    - #### setRulesetCount

          public void setRulesetCount(java.lang.Integer rulesetCount)

      Set the ID of the host where the application was blocked.
      Parameters:
        `hostID` - the ID of the host where the application was blocked.

    - #### withRulesetCount

          public DecisionLog withRulesetCount(java.lang.Integer rulesetCount)

      Set the ID of the host where the application was blocked.
      Parameters:
        `hostID` - the ID of the host where the application was blocked.
      Returns:
        the updated Event object.

    - #### getAdministratorID

          public java.lang.Integer getAdministratorID()

      Get the ID of the host where the application was blocked.
      Returns:
        the ID of the host where the application was blocked.

    - #### setAdministratorID

          public void setAdministratorID(java.lang.Integer administratorID)

      Set the ID of the host where the application was blocked.
      Parameters:
        `hostID` - the ID of the host where the application was blocked.

    - #### withAdministratorID

          public DecisionLog withAdministratorID(java.lang.Integer administratorID)

      Set the ID of the host where the application was blocked.
      Parameters:
        `hostID` - the ID of the host where the application was blocked.
      Returns:
        the updated Event object.

    - #### getActed

          public java.lang.Boolean getActed()

      Get the ID of the host where the application was blocked.
      Returns:
        the ID of the host where the application was blocked.

    - #### setActed

          public void setActed(java.lang.Boolean acted)

      Set the ID of the host where the application was blocked.
      Parameters:
        `hostID` - the ID of the host where the application was blocked.

    - #### withActed

          public DecisionLog withActed(java.lang.Boolean acted)

      Set the ID of the host where the application was blocked.
      Parameters:
        `hostID` - the ID of the host where the application was blocked.
      Returns:
        the updated Event object.

    - #### getDecisionOrigin

          public DecisionLog.DecisionOrigin getDecisionOrigin()

      Get the reason the application launch was blocked.
      Returns:
        the reason the application launch was blocked.

    - #### setDecisionOrigin

          public void setDecisionOrigin(DecisionLog.DecisionOrigin decisionOrigin)

      Set the reason the application launch was blocked.
      Parameters:
        `blockReason` - the reason the application launch was blocked.

    - #### withDecisionOrigin

          public DecisionLog withDecisionOrigin(DecisionLog.DecisionOrigin decisionOrigin)

      Set the reason the application launch was blocked.
      Parameters:
        `blockReason` - the reason the application launch was blocked.
      Returns:
        the updated Event object.

    - #### getDecisionType

          public DecisionLog.DecisionType getDecisionType()

      Get the reason the application launch was blocked.
      Returns:
        the reason the application launch was blocked.

    - #### setDecisionType

          public void setDecisionType(DecisionLog.DecisionType decisionType)

      Set the reason the application launch was blocked.
      Parameters:
        `blockReason` - the reason the application launch was blocked.

    - #### withDecisionType

          public DecisionLog withDecisionType(DecisionLog.DecisionType decisionType)

      Set the reason the application launch was blocked.
      Parameters:
        `blockReason` - the reason the application launch was blocked.
      Returns:
        the updated Event object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.